Bug 137265 - Auth_MySQL_Info command missing from module
Auth_MySQL_Info command missing from module
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mod_auth_mysql (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 22:00 EDT by Dave Sobel
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 11:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Sobel 2004-10-26 22:00:30 EDT
Description of problem:

I'm performing an upgrade of one of my web servers from an old Debian release running 
Apache 1.3. 

So I loaded Apache and relevant modules using yum, and and turned it on. Success!

Next, I started the conversion of my old 1.3 httpd.conf well into it, and added this:

LoadModule mysql_auth_module modules/mod_auth_mysql.so

This loaded correctly.

Now, I moved onto the section of a virtual host. 

Contained within that virtual host was a line that made all the PHP calls in the website 
authenticate against the mySQL database:

Auth_MySQL_Info localhost <usernamedeleted> <passworddeleted>

When I started up apache, I get:

Syntax error on line 1762 of /etc/httpd/conf/httpd.conf:
Invalid command 'Auth_MySQL_Info', perhaps mis-spelled or defined by a module not 
included in the server configuration

And, lo and behold, checking /server-info verifies that the Directive isn't included.

Module Name: mod_auth_mysql.c

Content handlers: none
Configuration Phase Participation: Create Directory Config
Request Phase Participation: Verify User ID, Verify User Access

Module Directives:
AuthMySQLHost - mysql server host name
AuthMySQLUser- mysql server user name
AuthMySQLPassword - mysql server user password
AuthMySQLDB - mysql database name
AuthMySQLUserTable - mysql user table name
AuthMySQLGroupTable - mysql group table name
AuthMySQLNameField - mysql User ID field name within table
AuthMySQLGroupField - mysql Group field name within table
AuthMySQLPasswordField - mysql Password field name within table
AuthMySQLCryptedPasswords - mysql passwords are stored encrypted if On
AuthMySQLScrambledPasswords - mysql passwords are stored scrambled if On
AuthMySQLMD5Passwords - mysql passwords are stored as MD5 if On
AuthMySQLKeepAlive - mysql connection kept open across requests if On 
AuthMySQLAuthoritative - mysql lookup is authoritative if On 
AuthMySQLNoPasswd - If On, only check if user exists; ignore password
AuthMySQLUserCondition - condition to add to user where-clause
AuthMySQLGroupCondition - condition to add to group where-clause

The Auth_MySQL_Info command was added in previous versions of all the auth_mysql 
code, and the version in FC2 is very old.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. See above.
Comment 1 Matthew Miller 2005-04-26 11:16:19 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Joe Orton 2005-06-21 11:44:14 EDT
[This is a mass bug update]

Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 or FC4 updates,
reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.